Subject: Re: FVWM: Better interaction between Netscape and Fvwm with SloppyFocus

From: Toshi Isogai <[email-masked]>
Date: Thu, 3 Jul 1997 10:10:09 -0600 (MDT)

On 3 Jul 1997, Kai Grossjohann wrote:

> Hi,
> 
> I use SloppyFocus.  And I use Netscape.  This means that keyboard
> shortcuts don't work the way I would like them to:
> 
> I expect to hit Alt-L, say, then enter the URL, then hit Return.
> However, it is most unlikely that the mouse pointer is at the right
> spot for the popup window of Netscape to receive focus automatically.
> Most of the time, I need to hit Alt-L, then move the mouse pointer
> into the popup window, then enter the URL, then hit Return.
> 
> I positively *hate* this.
> 

I have a new FvwmCommand module, which is under testing right now,
which can help you. Basically, it can monitor fvwm transaction and
send commands accordingly.

I use it for the exact same purpose, giving a focus to 'find' dialog
window every time I hit Alt-F.  I also move 'download' window to move to
the side so that it won't be hidden under main Netscape window. I'd like
to know if the downloading has ended by just looking at Pager from any
desk, any page. ( Somehow, Netscape's X resource file doesn't work to
set this window to a particular location.)

I have sent this module to fvwm-worker list recently.
If you want to try it out, just let me know. I will send you the
most updated version and the example script above during this weekend.
(I don't have them with me here.)

> I thought that it might be a good idea to hack Fvwm such that the
> following rule applies:
> 
>   If the user is using SloppyFocus and if a popup appears that
>   `belongs to' the window that currently has focus, give focus to the
>   popup that has just appeared.
> 
> I looked into events.c and it seems that I only need to hack
> HandleMapNotify() appropriately.  Is this correct?
> 
> However, what I don't know is how to find out wether the window that
> has just appeared `belongs to' the window that has currently focus.
> How would I do that?  Which fields in the window structure do I have
> to compare to find that out?
> 
> tia,
> kai
> -- 
> A large number of young women don't trust men with beards.
> (BFBS Radio)
> --
> Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 

-----------------------------------------------------
Toshi Isogai  
KENTEK Information Systems
[email-masked]

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].